imports:
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Processing.yaml' }
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml' }
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml' }

editor:
  config:
    contentsCss: [ 'EXT:rte_ckeditor/Resources/Public/Css/contents.css', 'EXT:ne_distribution/Resources/Public/Css/RTE/contents.css' ]
    stylesSet:
      - { name: 'download inline', element: 'span', attributes: { class: 'download' } }
      - { name: 'h2 inline', element: 'span', attributes: { class: 'h2' } }
      - { name: 'download block', element: 'p', attributes: { class: 'download' } }
      - { name: 'h2', element: 'h2', attributes: { class: 'h2' } }
      - { name: 'h2 block', element: 'p', attributes: { class: 'h2' } }
      - { name: 'h3', element: 'h3', attributes: { class: 'h3' } }
      - { name: 'h4', element: 'h4', attributes: { class: 'h4' } }
    width: 800
    resize_dir: 'vertical'
    format_tags: 'h2;p;div'

    toolbar:
      - [ 'Format', 'Styles', 'Bold', 'Italic', 'Subscript', 'Superscript' ]
      - [ 'Link' ]
      - [ 'NumberedList', 'BulletedList', 'Table' ]
      - [ 'RemoveFormat' ]
      - [ 'ShowBlocks', 'Source' ]
      - [ 'Undo', 'Redo' ]

    extraPlugins:
      - showblocks

    removePlugins:
      - image
